Name:           withlock
Version:        0.5
Release:        %mkrel 3
Summary:        Locking wrapper script
Group:          System/Base
License:        ASL 2.0
URL:            https://github.com/poeml/withlock
Source0:        http://mirrorbrain.org/files/releases/%{name}-%{version}.tar.gz
# Use /usr/bin/python3 not /usr/bin/python, it's not agnostic
Patch0:         withlock-0.5-mga-python3.patch
BuildArch:      noarch
# (doktor5000) required for manpage formatting
BuildRequires:  ruby-ronn
Requires:       python(abi) >= 3.2

%description
withlock is a locking wrapper script to make sure that some program
isn't run more than once. It is ideal to prevent periodic jobs spawned
by cron from stacking up.

The locks created are valid only while the wrapper is running, and
thus will never require additional cleanup, even after a reboot. This
makes the wrapper safe and easy to use, and much better than
implementing half-hearted locking within scripts.

%prep
%setup -q
%patch0 -p1

# (doktor5000) fix prefix to point to %%prefix and not /usr/local
sed -i 's|/usr/local|%{_prefix}|g' Makefile

%build
# No build

%install
%make_install

# (doktor5000) remove doc files, use %%doc macro to install them
rm -rf %buildroot/%_defaultdocdir/packages

%files
%doc LICENSE-2.0.txt README.md withlock.1.html
%{_bindir}/withlock
%{_mandir}/man1/%{name}.*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5-3.mga8
+ Revision: 1508241
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.5-2.mga7
+ Revision: 1292012
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 0.5-1.mga7
+ Revision: 1244668
- new version: 0.5
- switch to Python 3

* Tue Dec 22 2015 doktor5000 <doktor5000> 0.4-1.mga6
+ Revision: 913537
- new version 0.4
- rediffed -python2.patch
- adapt to Mageia
- updated URL to github
- fixed Requires on python < 3.0
- added BuildRequires on ruby-roff for manpage formatting
- package manpage
- imported package withlock for openQA


* Wed Apr 22 2015 Adam Williamson <awilliam@redhat.com> - 0.3-1
- initial package
